using System;
using System.Linq;
using System.Collections.Generic;

namespace ConsoleApp10
{
    class Program
    {
        static void Main(string[] args)
        {
            var nk = Console.ReadLine().Split();
            int n = int.Parse(nk[0]);
            int k = int.Parse(nk[1]);
            var ucitati_napitke = Console.ReadLine().Split();
            List<int> napici = new List<int>();
            for (int i=0; i<n; i++)
            {
                napici.Add(int.Parse(ucitati_napitke[i]));
            }
            k--;
            bool udji = true;
            int zbir = 0;
            while (k != 0 && udji)
            {
                if (k == 1)
                {
                    if (napici[0] >= napici[n - 1]) { zbir=napici[0] - napici[n - 1]; }
                    else { zbir=napici[n - 1] - napici[0]; }
                }
                else
                {
                    if (napici[0] >= napici[n - 1]) {zbir=napici[n-1] - napici[0]; napici[n - 1] =zbir; napici.Remove(napici[0]); n--; }
                    else { zbir = napici[0] - napici[n-1]; napici[0] = zbir; napici.Remove(napici[n-1]); n--; }
                }
                k--;
            }
            Console.WriteLine(zbir);
        }
    }
}